Subject: set-xorg-configuration pulls in unsupported packages on target architecture

From: shtwzrd <[email-masked]>
Date: Mon, 03 Feb 2020 01:22:16 +0000

Howdy :),

I've found that the `set-xorg-configuration` service ends up pulling in `xf86-video-intel` as a dependency. But `xf86-video-intel` fails to build, with:

```
checking whether to include UXA support... no
checking whether to include SNA support... auto
checking for xvmc dri2proto x11 x11-xcb xcb-dri2 xcb-aux libdrm_intel... no
checking whether to include XvMC support... no
checking which acceleration method to use by default... configure: error: UXA requested as default, but is not enabled
command "/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "./configure" "CONFIG_SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "SHELL=/gnu/store/iql3p5zvz0nwcsckdpywdkqxccx95ygx-bash-minimal-5.0.7/bin/bash" "--prefix=/gnu/store/grlry4nmhxmb2ahlbpzdvyy33wgnh87h-xf86-video-intel-2.99.917-15.f66d395" "--enable-fast-install" "--build=aarch64-unknown-linux-gnu" "--with-default-accel=uxa" failed with status 1
```

What's more, the package definition for xf86-video-intel contains this:

```
(supported-systems
       ;; This driver is only supported on Intel systems.
       (filter (lambda (system) (or (string-prefix? "i686-" system)
                                    (string-prefix? "x86_64-" system)))
               %supported-systems))
```

So it seems like it's a bug that it currently gets included on non i686 and x86_64 targets.

Even if I supply a modules field in set-xorg-configuration where I exclude `xf86-video-intel`, guix still tries to build it.

The only reference to `xf86-video-intel` is its inclusion in %default-xorg-modules -- would making the contents of that list target-aware be a potential fix?